-- phpMyAdmin SQL Dump
-- version 2.6.3-pl1
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Dec 14, 2006 at 01:06 PM
-- Server version: 5.0.27
-- PHP Version: 5.2.0
-- 
-- Database: `pixelriot`
-- 
USE malicoat_pixelracket;
-- --------------------------------------------------------

-- 
-- Table structure for table `channels`
-- 

DROP TABLE IF EXISTS `channels`;
CREATE TABLE `channels` (
  `ID` bigint(20) NOT NULL auto_increment,
  `ChannelName` varchar(255) NOT NULL,
  `Language` varchar(25) NOT NULL default '',
  `Footer` varchar(255) NOT NULL default '',
  `Description` text NOT NULL,
  `PrimaryEditor` varchar(255) NOT NULL default '',
  `OwnedBy` varchar(255) NOT NULL default '',
  `CreateDate` datetime NOT NULL,
  `PubDate` datetime NOT NULL,
  `FetchCount` bigint(20) NOT NULL default '0',
  `Keywords` varchar(255) NOT NULL default '',
  `Icon` varchar(255) NOT NULL default '',
  `Rating` varchar(255) NOT NULL default '',
  `Moderated` enum('Y','N') NOT NULL default 'N',
  `Parent` varchar(255) NOT NULL default '',
  `Public` enum('Y','N') NOT NULL default 'Y',
  `DefaultView` varchar(255) NOT NULL default '',
  `AllowedTags` text NOT NULL,
  `Extra` text NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ChannelName` (`ChannelName`),
  KEY `Parent` (`Parent`),
  FULLTEXT KEY `ChannelName_2` (`ChannelName`,`Description`,`Keywords`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table `channels`
-- 

INSERT INTO `channels` VALUES (1, 'Home', 'en-us', 'Copyright &#169;  2009 Michael Malicoat except where otherwise noted.', 'This is the main channel for the site.', 'Administrator', 'Administrators', NOW(), NOW(), 0, 'home, main', 'templates/images/channels/home.icon.png', '', 'N', '/', 'Y', 'default', '', '');
INSERT INTO `channels` VALUES (2, 'About the Site', 'en-us', 'Copyright &#169; 2009 Michael Malicoat except where otherwise noted.', 'About the site', 'Administrator', 'Administrators', NOW(), NOW(), 0, 'about', 'templates/images/channels/info.icon.png', '', 'N', '/', 'Y', 'default', '', '');
INSERT INTO `channels` VALUES (3, 'Administration', 'en-us', '', 'This channel allows changes to be made to the site.', 'Administrator', 'Administrators', NOW(), NOW(), 0, 'administer, administration', 'templates/admin/images/admin.icon.png', '', 'N', '/', 'N', 'admin', '', '');

--
-- Table structure for table `views`
--
DROP TABLE IF EXISTS `views`;
CREATE TABLE `views` (
  `ID` bigint(20) NOT NULL auto_increment,
  `ViewName` varchar(255) NOT NULL default '',
  `ViewTitle` varchar(255) NOT NULL default '',
  `ChannelName` varchar(255) NOT NULL default '',
  `Template` varchar(255) NOT NULL default '',
  `Stylesheet` varchar(255) NOT NULL default '',
  `ViewCount` bigint(20) NOT NULL default '0',
  PRIMARY KEY (`ID`),
  UNIQUE KEY `ViewName` (`ViewName`),
  KEY `ChannelName` (`ChannelName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `views`
--

INSERT INTO `views` VALUES (1, 'default', 'Browsing', '<ALL>', 'templates/default/browse.tpl.html', 'templates/default/default.css', 0);
INSERT INTO `views` VALUES (2, 'search', 'Search', '<ALL>', 'templates/search/search.tpl.html', 'templates/default/default.css', 0);
INSERT INTO `views` VALUES (3, 'search_results', 'Results for', '<ALL>', 'templates/search/results.tpl.html', 'templates/default/default.css', 0);
INSERT INTO `views` VALUES (4, 'rss', 'RSS Feed', '<PUBLIC>', 'templates/feed/rss2.tpl.html', '', 0);
INSERT INTO `views` VALUES (5, 'admin', 'Administering', 'Admin', 'templates/admin/admin.tpl.html', 'templates/default/default.css', 0);
INSERT INTO `views` VALUES (6, 'user_info', 'User Information', '<ALL>', 'templates/site/userinfo.tpl.html', 'templates/default/default.css', 0);
INSERT INTO `views` VALUES (7, 'attachments_table', 'Attachments', '<ALL>', 'templates/site/attachments.table.tpl.html', '', 0);

-- --------------------------------------------------------

-- 
-- Table structure for table `attachments`
-- 

DROP TABLE IF EXISTS `attachments`;
CREATE TABLE `attachments` (
  `ID` bigint(20) NOT NULL auto_increment,
  `AttachmentName` varchar(255) NOT NULL default '',
  `FileName` varchar(255) NOT NULL default '',
  `FileType` varchar(255) NOT NULL default '',
  `FileSize` bigint(20) NOT NULL default '0',
  `Icon` varchar(255) NOT NULL default '',
  `Description` varchar(255) NOT NULL default '',
  `Keywords` varchar(255) NOT NULL default '',
  `SourcePath` varchar(255) NOT NULL default '',
  `PostedBy` varchar(255) NOT NULL,
  `DisplayInline` enum('Y','N') NOT NULL default 'Y',
  `Extra` text NOT NULL,
  PRIMARY KEY  (`ID`),
  FULLTEXT KEY `AttachmentName` (`AttachmentName`,`FileName`,`Keywords`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- 
-- Table structure for table `posts`
-- 

DROP TABLE IF EXISTS `posts`;
CREATE TABLE `posts` (
  `ID` bigint(20) NOT NULL auto_increment,
  `ChannelName` varchar(255) NOT NULL default '',
  `Title` varchar(255) NOT NULL default '',
  `Description` varchar(255) NOT NULL default '',
  `Author` varchar(255) NOT NULL default '',
  `Editor` varchar(255) NOT NULL default '',
  `Reviewer` varchar(255) NOT NULL default '',
  `Icon` varchar(255) NOT NULL default '',
  `Keywords` varchar(255) NOT NULL default '',
  `CreateDate` datetime NOT NULL,
  `PubDate` datetime NOT NULL,
  `IP` varchar(255) NOT NULL default '',
  `Parent` bigint(20) NOT NULL default '0',
  `ThreadParent` bigint(20) NOT NULL default '0',
  `Extra` text NOT NULL,
  `Content` longtext NOT NULL,
  PRIMARY KEY  (`ID`),
  KEY `ChannelName` (`ChannelName`),
  KEY `PubDate` (`PubDate`),
  FULLTEXT KEY `Title` (`Title`,`Description`,`Keywords`,`Content`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- 
-- Table structure for table `sessions`
-- 

DROP TABLE IF EXISTS `sessions`;
CREATE TABLE `sessions` (
  `SessionID` char(32) NOT NULL,
  `Expiration` datetime NOT NULL,
  `SessionData` text NOT NULL,
  PRIMARY KEY (`SessionID`),
  KEY `Expires` (`Expiration`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

-- 
-- Table structure for table `subscriptions`
-- 

DROP TABLE IF EXISTS `subscriptions`;
CREATE TABLE `subscriptions` (
  `ID` bigint(20) NOT NULL auto_increment,
  `ChannelName` varchar(255) NOT NULL default '',
  `GroupName` varchar(255) NOT NULL default '',
  `Rights` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  KEY `ChannelName` (`ChannelName`),
  KEY `GroupName` (`GroupName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table `subscriptions`
-- 

INSERT INTO `subscriptions` VALUES (1, '@PUBLIC', 'Administrators', 'rmwydCDM');
INSERT INTO `subscriptions` VALUES (2, '@PRIVATE', 'Administrators', 'rydCDM');
INSERT INTO `subscriptions` VALUES (3, '@PUBLIC', 'Visitors', 'r');
INSERT INTO `subscriptions` VALUES (4, '@PUBLIC', 'Editors', 'rmyd');
INSERT INTO `subscriptions` VALUES (5, '@FILES!', 'Administrators', 'wd');
INSERT INTO `subscriptions` VALUES (6, 'Administration', 'Administrators', 'rmwyd');

-- --------------------------------------------------------

-- 
-- Table structure for table `users`
-- 

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `ID` bigint(20) NOT NULL auto_increment,
  `UserName` varbinary(255) NOT NULL,
  `UserPassword` varchar(255) NOT NULL,
  `Icons` text NOT NULL,
  `CreateDate` datetime NOT NULL,
  `FullName` varchar(255) NOT NULL default '',
  `Description` text NOT NULL,
  `Email` varchar(255) NOT NULL default '',
  `Website` varchar(255) NOT NULL default '',
  `Enabled` enum('Y','N') NOT NULL default 'Y',
  `LastVisit` datetime NOT NULL,
  `FailedLogins` int(10) NOT NULL default '0',
  `ChallengePrompt` varchar(255) NOT NULL default '',
  `ChallengeReply` varchar(255) NOT NULL default '',
  `PostCount` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `UserName` (`UserName`),
  FULLTEXT KEY `FullName` (`FullName`,`Email`,`Description`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table `users`
-- 

INSERT INTO `users` VALUES (1, 'Administrator', MD5('Oxym0r0n!'), 'templates/images/users/admin.icon.png', NOW(), '', 'This is the main administrative account for this site.', '', '', 'Y', NOW(), 0, '', '', 0);
INSERT INTO `users` VALUES (2, 'Visitor', '', '', NOW(), '', 'This account is used to define rights for anonymous site visitors.', '', '', 'Y', NOW(), 0, '', '', 0);

--
-- Table structure for table `user2group`
--
DROP TABLE IF EXISTS `user2group`;
CREATE TABLE `user2group` (
  `ID` bigint(20) NOT NULL auto_increment,
  `UserName` varchar(255) NOT NULL,
  `GroupName` varchar(255) NOT NULL,
  PRIMARY KEY (`ID`),
  KEY `UserName` (`UserName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Dumping data for table `user2group`
--

INSERT INTO `user2group` VALUES (1, 'Administrator', 'Administrators');
INSERT INTO `user2group` VALUES (2, 'Visitor', 'Visitors');

-- --------------------------------------------------------

-- 
-- Table structure for table `config`
-- 

DROP TABLE IF EXISTS `config`;
CREATE TABLE `config` (
  `ID` bigint(20) NOT NULL auto_increment,
  `ClassName` varchar(255) NOT NULL default '',
  `GroupName` varchar(255) NOT NULL default '',
  `KeyName` varchar(255) NOT NULL default '',
  `KeyDescription` varchar(255) NOT NULL default '',
  `KeyValue` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  KEY `ClassName` (`ClassName`),
  KEY `GroupName` (`GroupName`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table `config`
-- 

INSERT INTO `config` VALUES (1,  'Site', 'Defaults', 'DefaultChannel', 'The default channel presented to users.', 'Home');
INSERT INTO `config` VALUES (2,  'Site', 'Defaults', 'Name', 'The name of the site.', 'pixelracket');
INSERT INTO `config` VALUES (3,  'Site', 'Defaults', 'Email', 'The e-mail address of the primary contact for the site', 'gatekeeper@pixelracket.com');
INSERT INTO `config` VALUES (4,  'Site', 'Defaults', 'LoginView', 'The name of the view to use when a user wishes to log into the site.', 'Login');
INSERT INTO `config` VALUES (5,  'Site', 'Defaults', 'VisitorAccount', 'The account to use for users that are not logged into the site.', 'Visitor');
INSERT INTO `config` VALUES (6,  'Site', 'Defaults', 'Icon', 'The default icon for this site; used when no other is specified.', 'templates/images/site/pr_icon.png');
INSERT INTO `config` VALUES (7,  'Site', 'Caching', 'CacheViews', 'Whether or not views are cached as opposed to being generated on demand.', 'N');
INSERT INTO `config` VALUES (8,  'Site', 'Caching', 'CacheTTL', 'The number of seconds that must pass before a cached copy of a view is regenerated.', '-1');
INSERT INTO `config` VALUES (9,  'Site', 'Security', 'LockoutThreshold', 'The maximum number of times a user can attempt to log in before their account is locked.', '4');
INSERT INTO `config` VALUES (10,  'Site', 'Security', 'IPTracking', 'Whether or not the IP addresses of visitors to the site should be stored', 'Y');
INSERT INTO `config` VALUES (11, 'Site', 'Defaults', 'TagsAllowed', 'If a channel does not specify otherwise, posts to the channel may contain these HTML tags.', '<a><b><i><u><strike><li><p><br><em><strong><blockquote><font><span><div><img><pre><quote>');
INSERT INTO `config` VALUES (12, 'Site', 'Statistics', 'ViewCount', 'The number of times a view has been generated for any channel on the site.', '0');
INSERT INTO `config` VALUES (13, 'Site', 'Statistics', 'RenderTime', 'The period of time (in seconds) required to render the most recent view generated for a channel on the site.', '0');
INSERT INTO `config` VALUES (14, 'Site', 'Statistics', 'TotalRenderTime', 'The total time (in seconds) required to render views for all channels on the site.', '0');
INSERT INTO `config` VALUES (15, 'Site', 'Statistics', 'AvgRenderTime', 'The average time (in seconds) required to render a view on the site.', '0');
INSERT INTO `config` VALUES (16, 'Site', 'Statistics', 'LongestRenderTime', 'The longest period of time (in seconds) required to render a view on the site.', '0');
INSERT INTO `config` VALUES (17, 'Site', 'Statistics', 'LongestRenderView', 'The name of the view that has required the most time to render', '');
INSERT INTO `config` VALUES (18, 'Site', 'Statistics', 'ShortestRenderTime', 'The shortest period of time (in seconds) required to render a view on the site.', '4294967296');
INSERT INTO `config` VALUES (19, 'Site', 'Statistics', 'ShortestRenderView', 'The name of the view that has required the least amount of time to render.', '');
INSERT INTO `config` VALUES (20, 'Site', 'Statistics', 'Track', 'Whether or not to track statistics for the site (may affect site performance).', 'Y');
INSERT INTO `config` VALUES (21, 'Site', 'Uploads', 'Allow', 'Whether or not to allow attachments to posts.', 'Y');
INSERT INTO `config` VALUES (22, 'Site', 'Uploads', 'Destination', 'The location in which to store post attachments', 'files/');
INSERT INTO `config` VALUES (23, 'Site', 'Uploads', 'BaseURL', 'The base URL from which uploaded files are served.', '/webriot/files/');
INSERT INTO `config` VALUES (24, 'Site', 'Sessions', 'VisitorTTL', 'The amount of time (in minutes) which should elapse before sessions assigned to anonymous site visitors should expire.', '43200');
INSERT INTO `config` VALUES (25, 'Site', 'Sessions', 'VisitorRenew', 'Whether or not subsequent visits by anonymous visitors to the site should reset the expiration counter for their sessions.', 'Y');
INSERT INTO `config` VALUES (26, 'Site', 'Sessions', 'RemoveOld', 'Whether or not to remove expired sessions automatically (may affect site performance).', 'Y');
INSERT INTO `config` VALUES (27, 'Site', 'Sessions', 'UserTTL', 'The amount of time (in minutes) which should elapse before sessions assigned to known users should expire.', '15');
