[ * Include the necessary template variables * ]
[ LIVEDATA ]
[ * Channel name (urlencoded so it fits nicely in links) * ]
[ assign var="CHANNEL_URL" value=$CHANNEL.ChannelName|urlencode ]
[ * View name (urlencoded so it fits nicely in links) * ]
[ assign var="VIEW_URL" value=$VIEW.ViewName|urlencode ]
[ * Whether or not the user is logged in * ]
[ Session->LoggedIn assign="LOGGED_IN" ]
[ * The current user's subscription (rights) to this channel * ]
[ assign var="SUBSCRIPTION" value=$SESSION_VARS.RIGHTS_LAST ]
[ * Determine the number of records retrieved for this view * ]
[ Posts->Count assign="recordCount" ]
[ /LIVEDATA ]
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
  <link rel="stylesheet" type="text/css" href="templates/default.css">
  <link rel="icon" type="image/png" href="templates/images/site/icon.png">  
  <script language="JavaScript" src="templates/util.js"></script>
  <script language="JavaScript" src="templates/html2xhtml.js"></script>
  <script language="JavaScript" src="templates/richtext.js"></script>
  <script language="JavaScript">
    //Usage: initRTE(imagesPath, includesPath, cssFile, genXHTML)
    initRTE("templates/images/richtext/", "templates/", "", true);
  </script>
  <title>[ $SITE.Site.SiteName ]: [ $CHANNEL.Parent ]/[ $CHANNEL.ChannelName ]</title>
  </head>
  <body onLoad="fixPresentation()">
  [ include file="nav.tpl" ]
  <!-- BEGIN DOCUMENT BODY ---------------------------------------------------->
  <div id="DocBody">
    <table class="Post">
      [ * Retrieve each record * ]
      [ if $recordCount > 0 ]
        [ * Set up the previous and next navigation buttons * ]
        <table width="100%">
          <tr>
            <td style="text-align:left">
              [ * Create the "Previous" link only if we are not starting from the beginning of the query results * ]
              [ if $Params.start > 0 ]
                [ assign var="PREV_PAGE" value=$Params.start-$Params.max ]
                <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&dynamic=y&get=[ $Params.get|urlencode ]&from=[ $Params.from ]&start=[ $PREV_PAGE ]&max=[ $Params.max ]&sort=[ $Params.sort ]"
                   title="Previous Page"
                   onMouseOver="window.status='Click to return to the previous page.';return true"
                   onMouseOut="window.status='';return true">&lt; Previous</a>
                [ else ]        
                  &nbsp;
              [ /if ]
            </td>
            <td style="text-align:right">
              [ * Create the "Next" link only if clicking it won't take us past the end of our query results * ]
              [ if $recordCount-$Params.start > $Params.max ]
                [ assign var="NEXT_PAGE" value=$Params.start+$Params.max ]
                 <a href="viewpoint.php?channel=[ $CHANNEL_URL ]&dynamic=y&get=[ $Params.get|urlencode ]&from=[ $Params.from ]&start=[ $NEXT_PAGE ]&max=[ $Params.max ]&sort=[ $Params.sort ]"
                    title="Next Page"
                    onMouseOver="window.status='Click to browse to the next page.';return true"
                    onMouseOut="window.status='';return true">Next &gt;</a>
              [ else ]
                &nbsp;
              [ /if ]
            </td>
          </tr>
        </table> 
        <!-- BEGIN RECORDS ---------------------------------------------------->
        [ section name=posts loop=$postCount max=$Params.max ] 
          [ Posts->Next assign="thisRecord" ]
          <table class="Post">
            <tr>
              <td class="PostHeader" colspan="2">Record [ $thisRecord.ID ]</td>
            </tr>
            [ foreach key=key item=value from=$thisPost ]
              [ if $key ne "ID" ]
                <tr>
                  <td class="PostFieldName">[ $key ]:</td>
                  <td class="PostFieldData">[ $value ]</td>
                </tr>
              [ /foreach ]
            [ /if ]
          </table>
        [ /section ]
        <!-- END POSTS -------------------------------------------------------->
      [ else ]
        <table class="Post">
          <tr>
            <td class="PostFieldData"><em>There is nothing to display in this view.</em></td>
          </tr>
      </table>
    [ /if ]
    [ * Include the footer * ]
    [ include file="footer.tpl" ]
  </div>
  <!-- END DOCUMENT BODY ------------------------------------------------------>
  </body>
</html>
