<script language="JavaScript" src="/scripts/ajax.js"></script>
<table class="Post">
  <tr>
    <td valign="bottom">
      <div class="PostHeader">[ $thisChannel.ChannelName ]</div>
    </td>
    <td class="PostIcon">
      <img src="[ $thisChannel.Icon ]" title="[ $thisChannel.ChannelName ]">
    </td>
  </tr>
</table>
<table class="Post">
  <tr>
    <td class="PostFieldName">Conversation:</td>
    <td class="PostFieldName">In this Room:</td>
  </tr>
  <tr>
    <td class="PostFieldData">
      <div id="ChatWindow" name="chatWindow">
        <div>
          <span class="PostFieldName">System:&nbsp;</span>
          <span class="PostFieldData">You have entered: [ $thisChannel.ChannelName ]</span>
        </div>
      </div>
    </td>
    <td class="PostFieldData">
      <div id="ChatRoomList">&nbsp;</div>
    </td>
  </tr>
</table>
<script language="JavaScript">
  // Verifies the chatterBack form and submits the post
  function chatBack(form) {
    // If there's no data to send, return without sending anything
    updateRTE("chatData");
    if (form.data == "") return(false);
    // This object holds our HTTP request
    postit = new HTTPRequest("POST", "text/html");
    postit.url = "chatter.php";
    postit.queryString = encodeFormData(form);
    postit.send(null);
    // Clear the post data
    form.data = "";
    window.frames["chatData"].document.clear();
    enableDesignMode("chatData", "", false);
  }
</script>
<form name="chatterBack">
<input type="hidden" name="action" value="new">
<input type=hidden name="channel" value="[ $thisChannel.ChannelName ]">
[ * By default, we associate the user's icon with the post * ]
<input type=hidden name="icon" value="[ $thisUser.Icon ]">
[ * And the post author is the current user, of course * ]
<input type=hidden name="author" value="[ $thisUser.UserName ]">
<table class="Post">
  <tr>
    <td class="PostFieldName">You say:</td>
  </tr>
  <tr>
    <td class="PostFieldData" align="center">
      <script language="JavaScript" type="text/javascript">
      <!--
        writeRichText("chatData", "", 660, 50, true, false);
      //-->
      </script>
    </td>
  </tr>
  <tr>
    <td>
      <input class="PostButtons" type="button" value="Send" onclick="chatBack(document.forms['chatterBack'])"
    </td>
  </tr>
</table>
</form>
<script language="JavaScript">
  var windowInterval = 0;
  var chatterWindow = document.getElementById("ChatWindow");
  chatterWindow.style.height = top.innerHeight - 375;
  var today = todaysDate();

  // Refreshes the chat window
  function refreshChatWindow() {
    // This object will handle our HTTP request
    var request = new HTTPRequest("GET", "text/html");
    request.url = "viewpoint.php?view=ChatWindow&channel=[ $CHANNEL_URL ]";
    var displayChatter = function() {
      if (request.request.readyState == 4){
        if (request.request.status == 200) {
          chatterWindow.innerHTML = request.request.responseText;
          chatterWindow.scrollTop = chatterWindow.scrollHeight - chatterWindow.offsetHeight;
        }
      }
    }
    request.send(displayChatter);
  }
  // Refresh the chat window every five seconds
  windowInterval = window.setInterval("refreshChatWindow()", 5000);
</script>